SDL_HintCallback(3type)

NAME
SDL_HintCallback - A callback used to send notifications of hint value changes.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

typedef void(SDLCALL *SDL_HintCallback)(void *userdata, const char *name, const char *oldValue, const char *newValue);

DESCRIPTION
This is called an initial time during

SDL_AddHintCallback
 with the hint's current value, and then again each time the hint's value changes.

FUNCTION PARAMETERS

userdata
    what was passed as userdata to SDL_AddHintCallback ().

name
    what was passed as name to SDL_AddHintCallback ().

oldValue
    the previous hint value.

newValue
    the new value hint is to be set to.

THREAD SAFETY
This callback is fired from whatever thread is setting a new hint value. SDL holds a lock on the hint subsystem when calling this callback.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_AddHintCallback(3)